#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hls-code-range-plugin
version:              1.1.0.0
visibility:           public
id:                   hls-code-range-plugin-1.1.0.0-9xsS2P3j6UK4Y5B1PykB8N
key:                  hls-code-range-plugin-1.1.0.0-9xsS2P3j6UK4Y5B1PykB8N
license:              Apache-2.0
maintainer:           kokobd
author:               kokobd
synopsis:
    HLS Plugin to support smart selection range and Folding range

description:
    Please see the README on GitHub at <https://github.com/haskell/haskell-language-server#readme>

category:             Development
abi:                  83bb4aef69c62e4487747abbef43d6de
exposed:              True
exposed-modules:      Ide.Plugin.CodeRange Ide.Plugin.CodeRange.Rules
hidden-modules:       Ide.Plugin.CodeRange.ASTPreProcess
import-dirs:          /usr/lib/ghc-9.0.2/site-local/hls-code-range-plugin-1.1.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hls-code-range-plugin-1.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-code-range-plugin
hs-libraries:         HShls-code-range-plugin-1.1.0.0-9xsS2P3j6UK4Y5B1PykB8N
depends:
    aeson-2.1.2.0-6VydXJBWxd89BBQXwjEfAs base-4.15.1.0
    containers-0.6.4.1 deepseq-1.4.5.0
    extra-1.7.13-IvNouhH9Z8S2nWJNdKBOVB
    ghcide-1.9.0.0-GN9rfDQD8I3J7jTgOX7z19
    hashable-1.4.2.0-FGfJ6SPjJOQC6UzILfUyUL
    hls-plugin-api-1.6.0.0-3xKCX5wZuQS8JKXrZ1Kvzc
    lens-5.2.2-JomSPqqD8KEH2iXqQwwoqg
    lsp-1.6.0.0-CHIZoQQwVMJIMH2gKiMqQ5 mtl-2.2.2
    semigroupoids-5.3.7-Gb90AiXr4tH9j7anAfahgv text-1.2.5.0
    transformers-0.5.6.2 vector-0.13.0.0-Ig05MaAMeBqj8G3IIQCIl

haddock-interfaces:
    /usr/share/doc/haskell-hls-code-range-plugin/html/hls-code-range-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-code-range-plugin/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

